@echo off

rem
rem Installation script.
rem
rem See CK LICENSE.txt for licensing details.
rem See CK COPYRIGHT.txt for copyright details.
rem
rem Developer(s):
rem - Grigori Fursin, grigori@dividiti.com, 2016-2017
rem - Anton Lokhmotov, anton@dividiti.com, 2017
rem

if not "%CK_HAS_OPENMP%" == "0" (
  set CK_REF_LIBRARIES=%CK_LINKER_FLAG_OPENMP%
)

rem To avoid problem linking OpenCL lib ...

set CMAKE_C_FLAGS=%CMAKE_C_FLAGS% -L%CK_ENV_LIB_OPENCL_LIB%
set CMAKE_CXX_FLAGS=%CMAKE_CXX_FLAGS% -L%CK_ENV_LIB_OPENCL_LIB%

set CK_CMAKE_EXTRA=%CK_CMAKE_EXTRA% ^
 -DOPENCL_ROOT:PATH="%CK_ENV_LIB_OPENCL%" ^
 -DOPENCL_LIBRARIES:FILEPATH="%CK_ENV_LIB_OPENCL_DYNAMIC_NAME%" ^
 -DOPENCL_INCLUDE_DIRS:PATH="%CK_ENV_LIB_OPENCL_INCLUDE%" ^
 -DCMAKE_EXE_LINKER_FLAGS=-L"%CK_ENV_LIB_OPENCL_LIB%" ^
 -DTUNERS=%CLBLAST_TUNERS% ^
 -DCLTUNE_ROOT:PATH="%CK_ENV_TOOL_CLTUNE%" ^
 -DCLIENTS=%CLBLAST_CLIENTS% ^
 -DCBLAS_INCLUDE_DIRS:PATH="%CK_ENV_LIB_OPENBLAS_INCLUDE%" ^
 -DCBLAS_LIBRARIES:FILEPATH="%CK_ENV_LIB_OPENBLAS_LIB%\%CK_ENV_LIB_OPENBLAS_STATIC_NAME%" ^
 -DSAMPLES=%CLBLAST_SAMPLES% ^
 -DCK_REF_LIBRARIES=%CK_REF_LIBRARIES% ^
 -DANDROID=ON

exit /b 0
